%Geschwindigkeitsregelung
%geschw1_m.m, geschw1.mdl
KS = 5; Tu = 1; Tg = 4;
T  = 0.1; KSt = 1;
%Takahashi
KR = (T / KSt) * 1.2 * Tg / (KS * (Tu + T))
TN = 2.0 * (Tu + T/2)^2 / (Tu + T)
TV = 0.5 * (Tu + T)
%PID-Regler
b0 =  KR * (1 + TV/T)
b1 = -KR * (1 - T/TN + 2*TV/T)
b2 =  KR * TV/T
%PID-Regler nach Takahashi
b0 =  KR * (1 + T/(2*TN) + TV/T)
b1 = -KR * (1 - T/(2*TN) + 2*TV/T)
b2 =  KR * TV/T
sim('geschw1');
plot (x.time, x.signals.values)
title ('Geschwindigkeitsalgorithmus mit Stellmotor')
xlabel ('Zeit  t / s');
ylabel ('Regelgre  x(t)');
grid on

