%MATLAB Script File Gl_mot_174.m
%Sprungantwort eines Gleichstrommotors
RA=0.5;     %Ankerwiderstand
LA=0.05;    %Ankerinduktivitt
KM=0.01;    %Momentenkonstante
KE=KM;      %Motorkonstante
rk=0.001;   %Dmpfungskoeffizient
JGes=0.0001;%Gesamttrgheitsmoment
iG=0.0003;  %Getriebebersetzung
ML0=0.03;   %Lastdrehmoment (Strgre)
T0=1;       %Sprungzeitpunkt Strgre (Step time)
Uy0=12;     %Ankerspannung = 12 V (Stellgre)
%Sprungantwort ermitteln:
[t,x,y]=sim('Gleichstrommotor_174',1.5);
plot(t,iG*x(:,1))   %Sprungantwort
grid on     %kartesische Gitterlinien

