%MATLAB Script-File zuregM_b_175.m
%Zustands-Drehzahlregelung
KS1=0.3; KS2=1; TM=0.02; TES=0.0015; 
a11=-1/TM; a12=KS2/TM; a22=-1/TES;
A=[a11    a12; 0    a22];
b2=KS1/TES; b=[0;   b2];
cT=[1    0]; d=0;
sp1Z=-(1+j)/(2*TES);      %Vorgabepole
sp2Z=-(1-j)/(2*TES);
poleZ=[sp1Z, sp2Z];
rT=-acker(A,b,poleZ);
%Vorfilter:
vw=(1-KS1*(rT(2)+KS2*rT(1)))/(KS1*KS2);

asys=ss(A,b,cT,d);
T=0.0001;
dsys=c2d(asys,T,'zoh')
phidach=dsys.a; hdach=dsys.b; cTdach=dsys.c;
zp1B=0.7+j*0.1; zp2B=0.7-j*0.1;
poleB=[zp1B, zp2B];
lB=acker(dsys.a',dsys.c',poleB);
lB=lB'

%p11=0.995; p12=0.0048; p22=0.9355;
%h1=0.000049; h2=0.019348;
%l1=0.5305; l2=13.638;
