%MATLAB Script-File zuregM_dig_175.m
%Zustands-Drehzahlregelung
KS1=0.3; KS2=1; TM=0.02; TES=0.0015;
a11=-1/TM; a12=KS2/TM; a22=-1/TES; 
A=[a11     a12; 0    a22];%Systemmatrix
b2=KS1/TES; b=[0;   b2];%Eingangsvektor
cT=[1   0];             %Ausgangsvektor
d=0;
asys=ss(A,b,cT,d)       %Zustandsmodell
T=0.0001;               %Abtastzeit
dsys=c2d(asys,T,'zoh')  %diskretes Zustandsmodell
phi=dsys.a; d_b=dsys.b; %Transitionsmatrix, Eingangsvektor
zp1Z=0.9667+j*0.0322; zp2Z=0.9667-j*0.0322;
poleZ=[zp1Z, zp2Z];
rT=-acker(dsys.a,dsys.b,poleZ);
%Vorfilter:
vw=(1-KS1*(KS2*rT(1)+rT(2)))/(KS1*KS2);
