%Beispiel 14.3-17
%bsp_14_3_17_m.m, bsp_14_3_17.mdl
%Regelkreis mit NL-Elementen
%Dreipunkt-Element
%Regelstrecke mit Integralelement,PT1-Element und Totzeit
%Berechnung der Grenzschwingung

clc;clf;cla;
d = 1.0;
KS = 0.5;
c = 0.25;
w0 = 1;
sim ('bsp_14_3_17')

figure (1)

hold on
xmin = -0.25; xmax = 1.5;
dxdtmin = -1; dxdtmax = 1;
axis ([xmin xmax dxdtmin dxdtmax])
plot([xmin xmax],[0 0],'r-')
plot([0 0],[dxdtmin dxdtmax],'r-')
plot(x, dxdt,'-')
% Zustandsebene dx(t)/dt, x(t)
title  ('Grenzzyklus, c = 0.25, d = 1.0, K = 0.5')
xlabel ('Regelgre x(t)') 
ylabel ('Ableitung der Regelgre dx(t)/dt')
grid on
hold off

figure (2)

hold on
tmin = -0.5; tmax = 30.0;
xmin =  0.0; xmax = 1.5;
axis ([tmin tmax xmin xmax])
plot([tmin tmax],[0 0],'r-')
plot([0 0],[xmin xmax],'r-')
% x(t), Regelgre
plot(t, x,'-')
title  ('Sprungantwort w0 = 1, c = 0.25, d = 1.0, K = 0.5')
xlabel ('t / s') 
ylabel ('Regelgre x(t)')
grid on
hold off