%Beispiel 14.3-5,
%bsp_14_3_5_m.m
%Ortskurve der Beschreibungsfunktion 
%fr ein Begrenzungselement
%xdc = ^xe/c

xdc = logspace(0,6,2500);
KP = 1;
re = (2*KP/pi)*(asin((1)./xdc) + ((1)./xdc).*sqrt(1-(1)./xdc.^2));
hold off
plot(xdc, re)
hold on
plot([0 1],[1 1])
xmin = -1.0;
xmax = 12.5;
ymin = -0.1;
ymax = 1.2;
axis ([xmin xmax ymin ymax])
plot([xmin xmax],[0 0],'r-')
plot([0 0],[ymin ymax],'r-')
text (-0.5, 1.025,'K_P')
text (0.016,-1.33,'x_e/c=1')
title  ('Beschreibungsfunktion B(x_e) fr ein Begrenzungselement')
xlabel ('normierte Amplitude  x_e/c')
ylabel ('Realteil von  B(x_e)') 
grid on
